Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreDomainManager

    java.lang.Object
      oracle.ifs.fdk.impl.DomainManagerImpl
          oracle.ifs.fdk.core.CoreDomainManager

All Implemented Interfaces:
  java.rmi.Remote, DomainManager

    public class CoreDomainManager

extends DomainManagerImpl

Implementation of the DomainManager interface.

See Also:
  `DomainManager`

Constructor Summary
`CoreDomainManager()`
`CoreDomainManager(FdkSession session)`

Method Summary
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`Item` | `getDefaultDomain(AttributeRequest[] attributes)` Returns the default `DOMAIN` Item.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item` | `updateDomain(long id, NamedValue[] def, AttributeRequest[] attributes)` Updates a `DOMAIN` Item.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreDomainManager

    public CoreDomainManager()

### CoreDomainManager

    public CoreDomainManager(FdkSession session)

Method Detail

### updateDomain

    public Item updateDomain(long id,
                             NamedValue[] def,
                             AttributeRequest[] attributes)
                      throws FdkException

  Description copied from interface: `DomainManager`
  Updates a `DOMAIN` Item.

  Parameters:
    `id` - the ID of the `DOMAIN` Item to update
    `def` - the attributes to set:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.USER_WORKSPACES_ROOT, String}
    - {Attributes.MOST_RECENT_DOCS_MAXITEMS, Integer}
    - {Attributes.PERSONAL_WORKSPACES_ENABLED, Boolean}
    - {Attributes.WORLD_GRANTS_ENABLED, Boolean}
    - {Attributes.GROUP_CREATION_ACCESS_GROUP, Long}
    - {Attributes.CREATE_WORKSPACE_REQUEST_ALLOWED, Boolean}
    - {Attributes.DEFAULT_WORKSPACE_ROLES, long[]}
    - {Attributes.DEFAULT_GUARD_SECURITY_ROLES, long[]}
    - {Attributes.GLOBAL_AUDIT_TYPE_LIST, Long}
    - {Attributes.GLOBAL_AUDIT_HISTORY_EXPIRATION_PERIOD, Long}
    `
    `attributes` - the attributes to retrieve for the returned `DOMAIN` Item, or null
  Returns:
    an Item representing the updated Domain
  Throws:
    `FdkException` - if the operation fails

### getDefaultDomain

    public Item getDefaultDomain(AttributeRequest[] attributes)
                          throws FdkException

  Description copied from interface: `DomainManager`
  Returns the default `DOMAIN` Item.

  Parameters:
    `attributes` - the attributes to retrieve for the returned `DOMAIN` Item, or null
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD